Workflow shell request

Request of shell workflow

Endpoint

POST /api/workflow/shell/

Auth

Authorization: Bearer ${token}

Body

Content-Type: application/json
Json
{
    "identity": "",
    "step": 0
}

identity is the workflow identity and step is the 1-based step index. The step must be running. The engine opens an interactive /bin/sh in the step's container and registers it as a regular shell with a freshly generated identity — drive it through the shell requests.

Response

Json
[
    {
        "kind": "status",
        "payload": {
            "code": 0,
            "message": ""
        }
    },
    {
        "kind": "entity",
        "payload": {
            "args": null,
            "columns": 0,
            "created_at": 0,
            "identity": "",
            "path": "",
            "rows": 0,
            "sessions": 0,
            "state": ""
        }
    }
]

Notes

  • Workflow Permission Required
  • Read-Only Permission Restricted